Airports API v2
    • All airports
      GET
    • Airport(s) by country code.
      GET
    • Nearest airport(s) by geo coordinates.
      GET
    • Nearest airport(s) by airport id.
      GET
    • Airport by id.
      GET
    • Schemas
      • Schemas
        • AirportDetailsDto
        • AirportDto
        • AirportDtoArray
        • BadRequestResponse
        • Country
        • GeoCoordinates
        • InternalServerErrorResponse
        • Link
        • NearestAirportDto
        • NearestAirportDtoArray

      Airport by id.

      GET
      /{id}
      Retrieve airport by id.

      Request

      Path Params

      Responses

      🟢200OK
      application/json
      Bodyapplication/json

      🟠400BadRequest
      🔴500InternalServerError
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.transavia.com/v2/airports/'
      Response Response Example
      200 - Example 1
      {
          "city": "string",
          "country": {
              "code": "string",
              "name": "string"
          },
          "geoCoordinates": {
              "latitude": 0,
              "longitude": 0
          },
          "id": "string",
          "inboundRoutes": {
              "href": "string"
          },
          "name": "string",
          "outboundRoutes": {
              "href": "string"
          }
      }
      Modified at 2023-08-15 05:48:08
      Previous
      Nearest airport(s) by airport id.
      Next
      AirportDetailsDto
      Built with